﻿/*
 * This file is part of Clay Tablet, a simple cuneiform tablet simulator for Android
 *
 * Copyright (C) 2025 Batuhan Erdogan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

package com.mehrphilalethes.claytablet.model

data class WedgeSymbol(
    val type: WedgeType,      // enum: HORIZONTAL, VERTICAL, DIAGONAL, WINKELHAKEN
    val x: Float,             // position on tablet
    val y: Float,
    val rotation: Float,       // orientation of wedge
    val length: Float,
    val thickness: Float,
    val size: Float,
    val thresholdSensitivity: Float
)

